org.apache.hadoop.fs

## Enum StreamCapabilities.StreamCapability

- java.lang.Object
- - java.lang.Enum<StreamCapabilities.StreamCapability>
  - - org.apache.hadoop.fs.StreamCapabilities.StreamCapability

- All Implemented Interfaces:
    Serializable, Comparable<StreamCapabilities.StreamCapability>
  Enclosing interface:
    StreamCapabilities

  Deprecated.

      @Deprecated
      public static enum StreamCapabilities.StreamCapability
      extends Enum<StreamCapabilities.StreamCapability>

  Capabilities that a stream can support and be queried for.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HFLUSH` Deprecated.
    `HSYNC` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()` Deprecated.
    `static StreamCapabilities.StreamCapability` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static StreamCapabilities.StreamCapability[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HFLUSH

          public static final StreamCapabilities.StreamCapability HFLUSH

      Deprecated.

    - #### HSYNC

          public static final StreamCapabilities.StreamCapability HSYNC

      Deprecated.

  - ### Method Detail

    - #### values

          public static StreamCapabilities.StreamCapability[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamCapabilities.StreamCapability c : StreamCapabilities.StreamCapability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamCapabilities.StreamCapability valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public final String getValue()

      Deprecated.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.